using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace Security
{
    static class Program
    {
        /// <summary>
        /// Główny punkt wejścia dla aplikacji.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            Form1 mainForm = new Form1();
            mainForm.Visible = false;
            LoginPrompt lp = new LoginPrompt(new ValidateCredentialsDelegate(ValidateCredentials));
            if (lp.ShowDialog() == DialogResult.OK)
            {
                if (lp.ValidationResult == true)
                    Application.Run(mainForm);
            }
        }

        static bool ValidateCredentials(string userName, string password)
        {
            return false;        
        }
    }
}
